#!/usr/bin/python
# Request that the next Launchpad langpack export for a given distro/release is
# a full one.

import sys

from launchpadlib.launchpad import Launchpad

if len(sys.argv) != 3:
    sys.stderr.write('Usage: %s <distro> <release>\n' % sys.argv[0])
    sys.exit(1)

lp = Launchpad.login_with('langpack-o-matic', service_root='production',
                          credentials_file='launchpad-export-settings.credentials')
series = lp.distributions[sys.argv[1]].getSeries(name_or_version=sys.argv[2])
series.language_pack_full_export_requested = True
series.lp_save()
